QGIS Application - Bug report #12385
editing values for scale dependent visibility of a layer
2015-03-16 02:12 PM - P. Sydler

Status: Closed

Priority: Normal

Assignee:

Category: Browser

Affected QGIS version:2.8.1 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 20559

Description

This bug reports to my two prior bug reports of the scale dependent visibility of layer.

While editing the min/max values of the scale dependent visibility | experienced the following errors:

actual value: 1:5 000

editing the value to 1:5 0000 and pressing apply (which should result in 1:50 000);

however result: 1:5 000 (nothing changes!).

To change the value as desired to 1:50 000 you have to add the "0" right after the number "5" (1:50 000), which actually is the same as 1:5
0000!

Same happens if you want to reduce the scale from 1:5 000 to 1:500. After deleting the last "0" (1:5 00) and pressing apply the value is
reset to 1:5 000. To changed the value to the desired 1:500 you have to delete the space betwenn "5" and "0". Also in this case, 1:500
should be the same as 1:5 00. It's just a matter of how the values are presented or formatted.

It's not a major bug but an annoying one.

I hope you can reproduce my bug.

kindly, Pascal

Associated revisions

Revision a4d17c0e - 2015-03-17 08:56 AM - Nyall Dawson

Ignore position of thousands seperators when editing scale combo box

... be more permissive about the conversion from string to number

after a value is entered in the combo box (fix #12385)

History

#1 - 2015-03-16 11:55 PM - Paolo Cavallini

Possible duplicate, see #12352

#2 - 2015-03-17 12:57 AM - Nyall Dawson
- Status changed from Open to Closed
Fixed in changeset commit:"a4d17c0e9b1d486b231dc5dee1784b6c0edf74ba".
